aboutsummaryrefslogtreecommitdiffstats
path: root/main/fluxbox/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/fluxbox/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/fluxbox/APKBUILD')
-rw-r--r--main/fluxbox/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/fluxbox/APKBUILD b/main/fluxbox/APKBUILD
new file mode 100644
index 0000000000..4229d1bba8
--- /dev/null
+++ b/main/fluxbox/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=fluxbox
+pkgver=1.1.1
+pkgrel=1
+pkgdesc="A lightweight and highly-configurable window manager"
+url="http://www.fluxbox.org"
+license="MIT"
+subpackages="$pkgname-doc"
+depends=
+makedepends="pkgconfig libxinerama-dev libxpm-dev libxrandr imlib2-dev
+ libxrender-dev libxrandr-dev libxinerama-dev"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --disable-kde \
+ --disable-gnome \
+ --enable-imlib2 \
+ --disable-nls || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="fa9fa8fe9a44f86522de5754f8b285ca fluxbox-1.1.1.tar.bz2"